- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# dchroot::chroot_config Class Reference

Chroot configuration for dchroot compatibility. More...

`#include <dchroot-chroot-config.h>`

Inheritance diagram for dchroot::chroot_config:

[legend]
Collaboration diagram for dchroot::chroot_config:

[legend]
List of all members.

## Public Member Functions
| chroot_config ()
| The constructor.
| chroot_config (std::string const &file, bool active)
| The constructor.
virtual | ~chroot_config ()
| The destructor.
## Private Member Functions
virtual void | parse_data (std::istream &stream, bool active)
| Parse a loaded configuration file.

## Detailed Description

Chroot configuration for dchroot compatibility.

This class provides all the functionality of chroot_config, but parses the dchroot configuration file format, rather than the schroot format.

## Constructor & Destructor Documentation

chroot_config::chroot_config | ( |  | ) |

The constructor.

Reimplemented from sbuild::chroot_config.

chroot_config::chroot_config | ( | std::string const & | file,
|  | bool | active |
| ) |  |  |

The constructor.

Parameters:

  | file | initialise using a configuration file or a whole directory containing configuration files.
  | active | true if the chroots in the configuration file are active sessions, otherwise false.

Reimplemented from sbuild::chroot_config.

chroot_config::~chroot_config | ( |  | ) | `[virtual]`

The destructor.

Reimplemented from sbuild::chroot_config.

## Member Function Documentation

void chroot_config::parse_data | ( | std::istream & | stream,
|  | bool | active |
| ) |  |  | `[private, virtual]`

Parse a loaded configuration file.

If there are problems with the configuration file, an error will be thrown.

Parameters:

  | stream | the data stream to parse.
  | active | true if the chroots in the configuration file are active sessions, otherwise false.

Reimplemented from sbuild::chroot_config.

The documentation for this class was generated from the following files:

- dchroot/dchroot-chroot-config.h
- dchroot/dchroot-chroot-config.cc